# HologramFormat.Requirement (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.config

## Enum HologramFormat.Requirement

- java.lang.Object
- - java.lang.Enum<HologramFormat.Requirement>
  - - de.epiceric.shopchest.config.HologramFormat.Requirement

All Implemented Interfaces:
  Serializable, Comparable<HologramFormat.Requirement>

Enclosing class:
  HologramFormat

    public static enum HologramFormat.Requirement
    extends Enum<HologramFormat.Requirement>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADMIN_SHOP`
`AMOUNT`
`BUY_PRICE`
`HAS_ENCHANTMENT`
`HAS_POTION_EFFECT`
`IN_STOCK`
`IS_MUSIC_DISC`
`IS_POTION_EXTENDED`
`IS_WRITTEN_BOOK`
`ITEM_NAME`
`ITEM_TYPE`
`MAX_STACK`
`NORMAL_SHOP`
`SELL_PRICE`
`VENDOR`

### Method Summary

All Methods Static Methods Concrete Methods
`static HologramFormat.Requirement` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HologramFormat.Requirement[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VENDOR

    public static final HologramFormat.Requirement VENDOR

#### AMOUNT

    public static final HologramFormat.Requirement AMOUNT

#### ITEM_TYPE

    public static final HologramFormat.Requirement ITEM_TYPE

#### ITEM_NAME

    public static final HologramFormat.Requirement ITEM_NAME

#### HAS_ENCHANTMENT

    public static final HologramFormat.Requirement HAS_ENCHANTMENT

#### BUY_PRICE

    public static final HologramFormat.Requirement BUY_PRICE

#### SELL_PRICE

    public static final HologramFormat.Requirement SELL_PRICE

#### HAS_POTION_EFFECT

    public static final HologramFormat.Requirement HAS_POTION_EFFECT

#### IS_MUSIC_DISC

    public static final HologramFormat.Requirement IS_MUSIC_DISC

#### IS_POTION_EXTENDED

    public static final HologramFormat.Requirement IS_POTION_EXTENDED

#### IS_WRITTEN_BOOK

    public static final HologramFormat.Requirement IS_WRITTEN_BOOK

#### ADMIN_SHOP

    public static final HologramFormat.Requirement ADMIN_SHOP

#### NORMAL_SHOP

    public static final HologramFormat.Requirement NORMAL_SHOP

#### IN_STOCK

    public static final HologramFormat.Requirement IN_STOCK

#### MAX_STACK

    public static final HologramFormat.Requirement MAX_STACK

### Method Detail

#### values

    public static HologramFormat.Requirement[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HologramFormat.Requirement c : HologramFormat.Requirement.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HologramFormat.Requirement valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null